#!/bin/bash
echo "CenturyArks SilkyEVCam installer"

RESOURCES_DIR="./resources"
LIB_INSTALL_PATH="/usr/lib/CenturyArks/hal/plugins"
TOOL_INSTALL_PATH="/usr/bin"

#install HAL plugin
sudo mkdir -p $LIB_INSTALL_PATH
sudo cp $RESOURCES_DIR/evc3a_plugin_gen31.so $LIB_INSTALL_PATH

#install HAL tool
chmod +x $RESOURCES_DIR/silkyevcam_platform_info
sudo cp $RESOURCES_DIR/silkyevcam_platform_info $TOOL_INSTALL_PATH

#add CA plugin path to bashrc
echo "export MV_HAL_PLUGIN_PATH=$MV_HAL_PLUGIN_PATH":$LIB_INSTALL_PATH >> ~/.bashrc
source ~/.bashrc

#install udev rule for camera recognition
sudo cp $RESOURCES_DIR/ca_device.rules /etc/udev/rules.d

#register the udev rule
sudo udevadm control --reload-rules
